# Class VCFFilterHeaderLine

java.lang.Object
htsjdk.variant.vcf.VCFHeaderLine
htsjdk.variant.vcf.VCFSimpleHeaderLine
htsjdk.variant.vcf.VCFFilterHeaderLine

All Implemented Interfaces:
  `VCFIDHeaderLine, Serializable, Comparable`

public class VCFFilterHeaderLine extends VCFSimpleHeaderLine

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class VCFSimpleHeaderLine

`DESCRIPTION_ATTRIBUTE, ID_ATTRIBUTE`

### Fields inherited from class VCFHeaderLine

`ALLOW_UNBOUND_DESCRIPTIONS, UNBOUND_DESCRIPTION`

## Constructor Summary

Constructors
Constructor
Description
`VCFFilterHeaderLine(String name)`
Convenience constructor for FILTER whose description is the name
`VCFFilterHeaderLine(String line, VCFHeaderVersion version)`
create a VCF info header line
`VCFFilterHeaderLine(String name, String description)`
create a VCF filter header line

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
get the "Description" field
`boolean`
`shouldBeAddedToDictionary()`
By default the header lines won't be added to the dictionary, unless this method will be override (for example in FORMAT, INFO or FILTER header lines)

### Methods inherited from class VCFSimpleHeaderLine

`equals, getGenericFields, getID, hashCode, initialize, toStringEncoding`

### Methods inherited from class VCFHeaderLine

`compareTo, getKey, getValue, isHeaderLine, toString, toStringEncoding`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### VCFFilterHeaderLine

public VCFFilterHeaderLine(String name, String description)
create a VCF filter header line

Parameters:
  `name` - the name for this header line
  `description` - the description for this header line

### VCFFilterHeaderLine

public VCFFilterHeaderLine(String name)
Convenience constructor for FILTER whose description is the name

Parameters:
  `name` -

### VCFFilterHeaderLine

public VCFFilterHeaderLine(String line, VCFHeaderVersion version)
create a VCF info header line

Parameters:
  `line` - the header line
  `version` - the vcf header version

## Method Details

### shouldBeAddedToDictionary

public boolean shouldBeAddedToDictionary()
Description copied from class: `VCFHeaderLine`
By default the header lines won't be added to the dictionary, unless this method will be override (for example in FORMAT, INFO or FILTER header lines)

Overrides:
  `shouldBeAddedToDictionary` in class `VCFHeaderLine`
Returns:
  false

### getDescription

public String getDescription()
get the "Description" field

Returns:
  the "Description" field